# std::multimap< _Key, _Tp, _Compare, _Alloc >::value_compare Class Reference

Inheritance diagram for std::multimap< _Key, _Tp, _Compare, _Alloc >::value_compare:

List of all members.

## Detailed Description

### template<typename _Key, typename _Tp, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >>
class std::multimap< _Key, _Tp, _Compare, _Alloc >::value_compare

Definition at line 110 of file stl_multimap.h.

## Public Types

- typedef _Arg1 first_argument_type
- typedef _Result result_type
- typedef _Arg2 second_argument_type

## Public Member Functions

- bool operator() (const value_type &__x, const value_type &__y) const

## Protected Member Functions

- value_compare (_Compare __c)

## Protected Attributes

- _Compare comp

## Friends

- class multimap< _Key, _Tp, _Compare, _Alloc >

## Member Typedef Documentation

template<class _Arg1, class _Arg2, class _Result>

typedef _Arg1 std::binary_function< _Arg1, _Arg2, _Result >::first_argument_type `[inherited]`

the type of the first argument

Definition at line 116 of file stl_function.h.

template<class _Arg1, class _Arg2, class _Result>

typedef _Result std::binary_function< _Arg1, _Arg2, _Result >::result_type `[inherited]`

type of the return type

Reimplemented in std::tr1::_Reference_wrapper_base_impl< true, true, _Tp >.

Definition at line 120 of file stl_function.h.

template<class _Arg1, class _Arg2, class _Result>

typedef _Arg2 std::binary_function< _Arg1, _Arg2, _Result >::second_argument_type `[inherited]`

(no surprises here) the type of the second argument

Definition at line 119 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_multimap.h